# Initialize Token Stream

```typescript
const params: InitTokenStreamParams = {
   canCancel: true,
   canUpdate: true,
   startTime: (nowInSec() + 1000).toString(),
   endTime: (nowInSec() + 1300).toString(), // after 2 min
   receiver: account2.accountId,
   streamRate: FungibleTokenAmount.parse("0.1", 18).toString(),
   tokenId: "dai.fakes.testnet",
};

const payload = await multiSigService1.initTokenStream(params);

const result = await wallet.signAndTransactions(payload);
```

Then to confirm the request by another member you need to retrieve the requestId from the result which can be done in the following way.

<pre class="language-typescript"><code class="lang-typescript"><strong>const successValue = (result[result.length - 1].status as FinalExecutionStatus).SuccessValue;
</strong>if (!successValue) throw new Error("successValue is missing");
const requestId = Number(Buffer.from(successValue, "base64").toString());
</code></pre>

Then request can be confirmed by another member in the following way.

```typescript
const confirmPayload = await multiSigService2.confirm({ requestId: Number(requestId) });
const result = await wallet.signAndTransactions(payload);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-near/zebec-near-sdk/multisig-stream/initialize-token-stream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
